// !$*UTF8*$!
{
	archiveVersion = 1;
	classes = {
	};
	objectVersion = 50;
	objects = {

/* Begin PBXBuildFile section */
		380897DB2336EDD000A3F052 /* Localizable.strings in Resources */ = {isa = PBXBuildFile; fileRef = 380897DD2336EDD000A3F052 /* Localizable.strings */; };
		3811A70E23F3C0610057179D /* ItemGroups.swift in Sources */ = {isa = PBXBuildFile; fileRef = 3811A70D23F3C0610057179D /* ItemGroups.swift */; };
		3811A71023F3C0E90057179D /* HomeHeader.swift in Sources */ = {isa = PBXBuildFile; fileRef = 3811A70F23F3C0E90057179D /* HomeHeader.swift */; };
		386A3F8B2313639A003085B8 /* TodoList.swift in Sources */ = {isa = PBXBuildFile; fileRef = 386A3F8A2313639A003085B8 /* TodoList.swift */; };
		387BBD92243FB3B8007143D2 /* ErrorPublisher.swift in Sources */ = {isa = PBXBuildFile; fileRef = 387BBD91243FB3B7007143D2 /* ErrorPublisher.swift */; };
		388057CB23EA73EA003C5456 /* list-icons.json in Resources */ = {isa = PBXBuildFile; fileRef = 388057CA23EA73EA003C5456 /* list-icons.json */; };
		388057CF23EA7501003C5456 /* TodoListEditor.swift in Sources */ = {isa = PBXBuildFile; fileRef = 388057CE23EA7501003C5456 /* TodoListEditor.swift */; };
		388057D123EA9814003C5456 /* ColorPicker.swift in Sources */ = {isa = PBXBuildFile; fileRef = 388057D023EA9814003C5456 /* ColorPicker.swift */; };
		388057D323EA9AE3003C5456 /* ViewModifiers.swift in Sources */ = {isa = PBXBuildFile; fileRef = 388057D223EA9AE3003C5456 /* ViewModifiers.swift */; };
		388057D523EA9F08003C5456 /* ColorWheel.swift in Sources */ = {isa = PBXBuildFile; fileRef = 388057D423EA9F08003C5456 /* ColorWheel.swift */; };
		389A77172432B8FB003A027C /* Notifications.swift in Sources */ = {isa = PBXBuildFile; fileRef = 389A77162432B8FB003A027C /* Notifications.swift */; };
		389C85022322071D00E1A8E7 /* TodoItemRow.swift in Sources */ = {isa = PBXBuildFile; fileRef = 389C85012322071D00E1A8E7 /* TodoItemRow.swift */; };
		38A207C52310F9920098A25B /* AppDelegate.swift in Sources */ = {isa = PBXBuildFile; fileRef = 38A207C42310F9920098A25B /* AppDelegate.swift */; };
		38A207C72310F9920098A25B /* SceneDelegate.swift in Sources */ = {isa = PBXBuildFile; fileRef = 38A207C62310F9920098A25B /* SceneDelegate.swift */; };
		38A207CB2310F9930098A25B /* Assets.xcassets in Resources */ = {isa = PBXBuildFile; fileRef = 38A207CA2310F9930098A25B /* Assets.xcassets */; };
		38A207CE2310F9930098A25B /* Preview Assets.xcassets in Resources */ = {isa = PBXBuildFile; fileRef = 38A207CD2310F9930098A25B /* Preview Assets.xcassets */; };
		38A207D12310F9930098A25B /* LaunchScreen.storyboard in Resources */ = {isa = PBXBuildFile; fileRef = 38A207CF2310F9930098A25B /* LaunchScreen.storyboard */; };
		38A411BC24295B9D0015F8C7 /* Either.swift in Sources */ = {isa = PBXBuildFile; fileRef = 38A411BB24295B9D0015F8C7 /* Either.swift */; };
		38AD46DF242B26DF0014BE6D /* DelayedInitializable.swift in Sources */ = {isa = PBXBuildFile; fileRef = 38AD46DE242B26DF0014BE6D /* DelayedInitializable.swift */; };
		38AD46E7242C22640014BE6D /* DataCenterTests.swift in Sources */ = {isa = PBXBuildFile; fileRef = 38AD46E6242C22640014BE6D /* DataCenterTests.swift */; };
		38AD46EE242C279C0014BE6D /* todo-items.json in Resources */ = {isa = PBXBuildFile; fileRef = ABF1678323E8A2AE000908C3 /* todo-items.json */; };
		38AD46EF242C27A00014BE6D /* list-icons.json in Resources */ = {isa = PBXBuildFile; fileRef = 388057CA23EA73EA003C5456 /* list-icons.json */; };
		38CF1BD4242FE3BA00A37C84 /* Environment.swift in Sources */ = {isa = PBXBuildFile; fileRef = 38CF1BD3242FE3BA00A37C84 /* Environment.swift */; };
		38D2CC49243578B900B9BFE4 /* KeyCommands.swift in Sources */ = {isa = PBXBuildFile; fileRef = 38D2CC48243578B900B9BFE4 /* KeyCommands.swift */; };
		38FD95DD23F1115A00DE7EE5 /* BindingSubject.swift in Sources */ = {isa = PBXBuildFile; fileRef = 38FD95DC23F1115A00DE7EE5 /* BindingSubject.swift */; };
		AB829AC223F3126900E6A0DD /* HSBWheelHelpers.swift in Sources */ = {isa = PBXBuildFile; fileRef = AB829AC123F3126900E6A0DD /* HSBWheelHelpers.swift */; };
		AB86A6F923ECB39C00D7956D /* IconChooser.swift in Sources */ = {isa = PBXBuildFile; fileRef = AB86A6F723ECADFB00D7956D /* IconChooser.swift */; };
		ABADA2D723EB3599005E1A73 /* Trigonometry.swift in Sources */ = {isa = PBXBuildFile; fileRef = ABADA2D623EB3599005E1A73 /* Trigonometry.swift */; };
		ABADA2DE23EB7A28005E1A73 /* Formatters.swift in Sources */ = {isa = PBXBuildFile; fileRef = ABADA2DC23EB7A28005E1A73 /* Formatters.swift */; };
		ABC54E782326B4910082ED98 /* TodoItemDetail.swift in Sources */ = {isa = PBXBuildFile; fileRef = ABC54E772326B4910082ED98 /* TodoItemDetail.swift */; };
		ABF1678423E8A2AE000908C3 /* todo-items.json in Resources */ = {isa = PBXBuildFile; fileRef = ABF1678323E8A2AE000908C3 /* todo-items.json */; };
		ABF1678623E8A2B6000908C3 /* HighPriorityButtonStyle.swift in Sources */ = {isa = PBXBuildFile; fileRef = ABF1678523E8A2B6000908C3 /* HighPriorityButtonStyle.swift */; };
		ABF1678823E8A561000908C3 /* Home.swift in Sources */ = {isa = PBXBuildFile; fileRef = ABF1678723E8A561000908C3 /* Home.swift */; };
		ABF1679423E8BAD4000908C3 /* UIBackgroundTaskScheduler.swift in Sources */ = {isa = PBXBuildFile; fileRef = ABF1678A23E8BAD3000908C3 /* UIBackgroundTaskScheduler.swift */; };
		ABF1679523E8BAD4000908C3 /* UITraitCollection+SwiftUI.swift in Sources */ = {isa = PBXBuildFile; fileRef = ABF1678B23E8BAD3000908C3 /* UITraitCollection+SwiftUI.swift */; };
		ABF1679723E8BAD4000908C3 /* TextView.swift in Sources */ = {isa = PBXBuildFile; fileRef = ABF1678E23E8BAD3000908C3 /* TextView.swift */; };
		ABF1679823E8BAD4000908C3 /* StatefulPreviewWrapper.swift in Sources */ = {isa = PBXBuildFile; fileRef = ABF1679023E8BAD4000908C3 /* StatefulPreviewWrapper.swift */; };
		ABF1679B23E8BBC5000908C3 /* StaticData.swift in Sources */ = {isa = PBXBuildFile; fileRef = 38A207DA2310FB040098A25B /* StaticData.swift */; };
		ABF1679C23E8BBCE000908C3 /* TodoItem.swift in Sources */ = {isa = PBXBuildFile; fileRef = 38A207D82310FA870098A25B /* TodoItem.swift */; };
		ABF1679F23E8BD09000908C3 /* DataCenter.swift in Sources */ = {isa = PBXBuildFile; fileRef = ABF1679D23E8BD04000908C3 /* DataCenter.swift */; };
		ABF167A223E8C0F8000908C3 /* TodoItemEditor.swift in Sources */ = {isa = PBXBuildFile; fileRef = ABF167A023E8C0F2000908C3 /* TodoItemEditor.swift */; };
/* End PBXBuildFile section */

/* Begin PBXContainerItemProxy section */
		38AD46E9242C22640014BE6D /* PBXContainerItemProxy */ = {
			isa = PBXContainerItemProxy;
			containerPortal = 38A207B92310F9920098A25B /* Project object */;
			proxyType = 1;
			remoteGlobalIDString = 38A207C02310F9920098A25B;
			remoteInfo = "Do It";
		};
/* End PBXContainerItemProxy section */

/* Begin PBXFileReference section */
		380897DC2336EDD000A3F052 /* en */ = {isa = PBXFileReference; lastKnownFileType = text.plist.strings; name = en; path = en.lproj/Localizable.strings; sourceTree = "<group>"; };
		3811A70D23F3C0610057179D /* ItemGroups.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = ItemGroups.swift; sourceTree = "<group>"; };
		3811A70F23F3C0E90057179D /* HomeHeader.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = HomeHeader.swift; sourceTree = "<group>"; };
		386A3F8A2313639A003085B8 /* TodoList.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = TodoList.swift; sourceTree = "<group>"; };
		387BBD91243FB3B7007143D2 /* ErrorPublisher.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = ErrorPublisher.swift; sourceTree = "<group>"; };
		388057CA23EA73EA003C5456 /* list-icons.json */ = {isa = PBXFileReference; lastKnownFileType = text.json; path = "list-icons.json"; sourceTree = "<group>"; };
		388057CE23EA7501003C5456 /* TodoListEditor.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = TodoListEditor.swift; sourceTree = "<group>"; };
		388057D023EA9814003C5456 /* ColorPicker.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = ColorPicker.swift; sourceTree = "<group>"; };
		388057D223EA9AE3003C5456 /* ViewModifiers.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = ViewModifiers.swift; sourceTree = "<group>"; };
		388057D423EA9F08003C5456 /* ColorWheel.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = ColorWheel.swift; sourceTree = "<group>"; };
		389A77162432B8FB003A027C /* Notifications.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = Notifications.swift; sourceTree = "<group>"; };
		389C85012322071D00E1A8E7 /* TodoItemRow.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = TodoItemRow.swift; sourceTree = "<group>"; };
		38A207C12310F9920098A25B /* Do It.app */ = {isa = PBXFileReference; explicitFileType = wrapper.application; includeInIndex = 0; path = "Do It.app"; sourceTree = BUILT_PRODUCTS_DIR; };
		38A207C42310F9920098A25B /* AppDelegate.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = AppDelegate.swift; sourceTree = "<group>"; };
		38A207C62310F9920098A25B /* SceneDelegate.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = SceneDelegate.swift; sourceTree = "<group>"; };
		38A207CA2310F9930098A25B /* Assets.xcassets */ = {isa = PBXFileReference; lastKnownFileType = folder.assetcatalog; path = Assets.xcassets; sourceTree = "<group>"; };
		38A207CD2310F9930098A25B /* Preview Assets.xcassets */ = {isa = PBXFileReference; lastKnownFileType = folder.assetcatalog; path = "Preview Assets.xcassets"; sourceTree = "<group>"; };
		38A207D02310F9930098A25B /* Base */ = {isa = PBXFileReference; lastKnownFileType = file.storyboard; name = Base; path = Base.lproj/LaunchScreen.storyboard; sourceTree = "<group>"; };
		38A207D22310F9930098A25B /* Info.plist */ = {isa = PBXFileReference; lastKnownFileType = text.plist.xml; path = Info.plist; sourceTree = "<group>"; };
		38A207D82310FA870098A25B /* TodoItem.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = TodoItem.swift; sourceTree = "<group>"; };
		38A207DA2310FB040098A25B /* StaticData.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = StaticData.swift; sourceTree = "<group>"; };
		38A411BB24295B9D0015F8C7 /* Either.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = Either.swift; sourceTree = "<group>"; };
		38AD46DE242B26DF0014BE6D /* DelayedInitializable.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = DelayedInitializable.swift; sourceTree = "<group>"; };
		38AD46E4242C22640014BE6D /* Do It Tests.xctest */ = {isa = PBXFileReference; explicitFileType = wrapper.cfbundle; includeInIndex = 0; path = "Do It Tests.xctest"; sourceTree = BUILT_PRODUCTS_DIR; };
		38AD46E6242C22640014BE6D /* DataCenterTests.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = DataCenterTests.swift; sourceTree = "<group>"; };
		38AD46E8242C22640014BE6D /* Info.plist */ = {isa = PBXFileReference; lastKnownFileType = text.plist.xml; path = Info.plist; sourceTree = "<group>"; };
		38CF1BD3242FE3BA00A37C84 /* Environment.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = Environment.swift; sourceTree = "<group>"; };
		38D2CC48243578B900B9BFE4 /* KeyCommands.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = KeyCommands.swift; sourceTree = "<group>"; };
		38FD95DC23F1115A00DE7EE5 /* BindingSubject.swift */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.swift; path = BindingSubject.swift; sourceTree = "<group>"; };
		38FF6D1A234162AB005CCEC1 /* pl */ = {isa = PBXFileReference; lastKnownFileType = text.plist.strings; name = pl; path = pl.lproj/Localizable.strings; sourceTree = "<group>"; };
		38FF6D1B234162B8005CCEC1 /* ar */ = {isa = PBXFileReference; lastKnownFileType = text.plist.strings; name = ar; path = ar.lproj/Localizable.strings; sourceTree = "<group>"; };
		AB829AC123F3126900E6A0DD /* HSBWheelHelpers.swift */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.swift; path = HSBWheelHelpers.swift; sourceTree = "<group>"; };
		AB86A6F723ECADFB00D7956D /* IconChooser.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = IconChooser.swift; sourceTree = "<group>"; };
		ABADA2D623EB3599005E1A73 /* Trigonometry.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = Trigonometry.swift; sourceTree = "<group>"; };
		ABADA2DC23EB7A28005E1A73 /* Formatters.swift */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.swift; path = Formatters.swift; sourceTree = "<group>"; };
		ABC54E772326B4910082ED98 /* TodoItemDetail.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = TodoItemDetail.swift; sourceTree = "<group>"; };
		ABF1678323E8A2AE000908C3 /* todo-items.json */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = text.json; path = "todo-items.json"; sourceTree = "<group>"; };
		ABF1678523E8A2B6000908C3 /* HighPriorityButtonStyle.swift */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.swift; path = HighPriorityButtonStyle.swift; sourceTree = "<group>"; };
		ABF1678723E8A561000908C3 /* Home.swift */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.swift; path = Home.swift; sourceTree = "<group>"; };
		ABF1678A23E8BAD3000908C3 /* UIBackgroundTaskScheduler.swift */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.swift; path = UIBackgroundTaskScheduler.swift; sourceTree = "<group>"; };
		ABF1678B23E8BAD3000908C3 /* UITraitCollection+SwiftUI.swift */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.swift; path = "UITraitCollection+SwiftUI.swift"; sourceTree = "<group>"; };
		ABF1678E23E8BAD3000908C3 /* TextView.swift */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.swift; path = TextView.swift; sourceTree = "<group>"; };
		ABF1679023E8BAD4000908C3 /* StatefulPreviewWrapper.swift */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.swift; path = StatefulPreviewWrapper.swift; sourceTree = "<group>"; };
		ABF1679D23E8BD04000908C3 /* DataCenter.swift */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.swift; path = DataCenter.swift; sourceTree = "<group>"; };
		ABF167A023E8C0F2000908C3 /* TodoItemEditor.swift */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.swift; path = TodoItemEditor.swift; sourceTree = "<group>"; };
/* End PBXFileReference section */

/* Begin PBXFrameworksBuildPhase section */
		38A207BE2310F9920098A25B /* Frameworks */ = {
			isa = PBXFrameworksBuildPhase;
			buildActionMask = 2147483647;
			files = (
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
		38AD46E1242C22640014BE6D /* Frameworks */ = {
			isa = PBXFrameworksBuildPhase;
			buildActionMask = 2147483647;
			files = (
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
/* End PBXFrameworksBuildPhase section */

/* Begin PBXGroup section */
		380897D82336EDA500A3F052 /* Resources */ = {
			isa = PBXGroup;
			children = (
				38A207D22310F9930098A25B /* Info.plist */,
				38A207CF2310F9930098A25B /* LaunchScreen.storyboard */,
				38A207CA2310F9930098A25B /* Assets.xcassets */,
				ABF1678323E8A2AE000908C3 /* todo-items.json */,
				388057CA23EA73EA003C5456 /* list-icons.json */,
				380897DD2336EDD000A3F052 /* Localizable.strings */,
			);
			path = Resources;
			sourceTree = "<group>";
		};
		38A207B82310F9920098A25B = {
			isa = PBXGroup;
			children = (
				38A207C32310F9920098A25B /* Do It */,
				38AD46E5242C22640014BE6D /* Do It Tests */,
				38A207C22310F9920098A25B /* Products */,
			);
			sourceTree = "<group>";
		};
		38A207C22310F9920098A25B /* Products */ = {
			isa = PBXGroup;
			children = (
				38A207C12310F9920098A25B /* Do It.app */,
				38AD46E4242C22640014BE6D /* Do It Tests.xctest */,
			);
			name = Products;
			sourceTree = "<group>";
		};
		38A207C32310F9920098A25B /* Do It */ = {
			isa = PBXGroup;
			children = (
				38A207C42310F9920098A25B /* AppDelegate.swift */,
				38A207C62310F9920098A25B /* SceneDelegate.swift */,
				ABF1678C23E8BAD3000908C3 /* AccessoryViews */,
				ABF1678923E8BAD3000908C3 /* Affordances */,
				ABF1679123E8BAD4000908C3 /* Model */,
				ABF1678F23E8BAD4000908C3 /* Preview Assistants */,
				ABC54E772326B4910082ED98 /* TodoItemDetail.swift */,
				389C85012322071D00E1A8E7 /* TodoItemRow.swift */,
				ABF167A023E8C0F2000908C3 /* TodoItemEditor.swift */,
				386A3F8A2313639A003085B8 /* TodoList.swift */,
				ABF1678723E8A561000908C3 /* Home.swift */,
				3811A70F23F3C0E90057179D /* HomeHeader.swift */,
				388057CE23EA7501003C5456 /* TodoListEditor.swift */,
				380897D82336EDA500A3F052 /* Resources */,
				38A207CC2310F9930098A25B /* Preview Content */,
			);
			path = "Do It";
			sourceTree = "<group>";
		};
		38A207CC2310F9930098A25B /* Preview Content */ = {
			isa = PBXGroup;
			children = (
				38A207CD2310F9930098A25B /* Preview Assets.xcassets */,
			);
			path = "Preview Content";
			sourceTree = "<group>";
		};
		38AD46E5242C22640014BE6D /* Do It Tests */ = {
			isa = PBXGroup;
			children = (
				38AD46E6242C22640014BE6D /* DataCenterTests.swift */,
				38AD46E8242C22640014BE6D /* Info.plist */,
			);
			path = "Do It Tests";
			sourceTree = "<group>";
		};
		ABF1678923E8BAD3000908C3 /* Affordances */ = {
			isa = PBXGroup;
			children = (
				ABF1678A23E8BAD3000908C3 /* UIBackgroundTaskScheduler.swift */,
				ABF1678B23E8BAD3000908C3 /* UITraitCollection+SwiftUI.swift */,
				ABF1678523E8A2B6000908C3 /* HighPriorityButtonStyle.swift */,
				ABADA2D623EB3599005E1A73 /* Trigonometry.swift */,
				AB829AC123F3126900E6A0DD /* HSBWheelHelpers.swift */,
				ABADA2DC23EB7A28005E1A73 /* Formatters.swift */,
				38FD95DC23F1115A00DE7EE5 /* BindingSubject.swift */,
				3811A70D23F3C0610057179D /* ItemGroups.swift */,
				38A411BB24295B9D0015F8C7 /* Either.swift */,
				38AD46DE242B26DF0014BE6D /* DelayedInitializable.swift */,
				389A77162432B8FB003A027C /* Notifications.swift */,
			);
			path = Affordances;
			sourceTree = "<group>";
		};
		ABF1678C23E8BAD3000908C3 /* AccessoryViews */ = {
			isa = PBXGroup;
			children = (
				ABF1678E23E8BAD3000908C3 /* TextView.swift */,
				388057D023EA9814003C5456 /* ColorPicker.swift */,
				388057D423EA9F08003C5456 /* ColorWheel.swift */,
				AB86A6F723ECADFB00D7956D /* IconChooser.swift */,
				388057D223EA9AE3003C5456 /* ViewModifiers.swift */,
				38CF1BD3242FE3BA00A37C84 /* Environment.swift */,
				38D2CC48243578B900B9BFE4 /* KeyCommands.swift */,
				387BBD91243FB3B7007143D2 /* ErrorPublisher.swift */,
			);
			path = AccessoryViews;
			sourceTree = "<group>";
		};
		ABF1678F23E8BAD4000908C3 /* Preview Assistants */ = {
			isa = PBXGroup;
			children = (
				ABF1679023E8BAD4000908C3 /* StatefulPreviewWrapper.swift */,
			);
			path = "Preview Assistants";
			sourceTree = "<group>";
		};
		ABF1679123E8BAD4000908C3 /* Model */ = {
			isa = PBXGroup;
			children = (
				38A207D82310FA870098A25B /* TodoItem.swift */,
				38A207DA2310FB040098A25B /* StaticData.swift */,
				ABF1679D23E8BD04000908C3 /* DataCenter.swift */,
			);
			path = Model;
			sourceTree = "<group>";
		};
/* End PBXGroup section */

/* Begin PBXNativeTarget section */
		38A207C02310F9920098A25B /* Do It */ = {
			isa = PBXNativeTarget;
			buildConfigurationList = 38A207D52310F9930098A25B /* Build configuration list for PBXNativeTarget "Do It" */;
			buildPhases = (
				38A207BD2310F9920098A25B /* Sources */,
				38A207BE2310F9920098A25B /* Frameworks */,
				38A207BF2310F9920098A25B /* Resources */,
			);
			buildRules = (
			);
			dependencies = (
			);
			name = "Do It";
			productName = "Do It";
			productReference = 38A207C12310F9920098A25B /* Do It.app */;
			productType = "com.apple.product-type.application";
		};
		38AD46E3242C22640014BE6D /* Do It Tests */ = {
			isa = PBXNativeTarget;
			buildConfigurationList = 38AD46EB242C22640014BE6D /* Build configuration list for PBXNativeTarget "Do It Tests" */;
			buildPhases = (
				38AD46E0242C22640014BE6D /* Sources */,
				38AD46E1242C22640014BE6D /* Frameworks */,
				38AD46E2242C22640014BE6D /* Resources */,
			);
			buildRules = (
			);
			dependencies = (
				38AD46EA242C22640014BE6D /* PBXTargetDependency */,
			);
			name = "Do It Tests";
			productName = "Do It Tests";
			productReference = 38AD46E4242C22640014BE6D /* Do It Tests.xctest */;
			productType = "com.apple.product-type.bundle.unit-test";
		};
/* End PBXNativeTarget section */

/* Begin PBXProject section */
		38A207B92310F9920098A25B /* Project object */ = {
			isa = PBXProject;
			attributes = {
				LastSwiftUpdateCheck = 1140;
				LastUpgradeCheck = 1100;
				ORGANIZATIONNAME = "Jim Dovey";
				TargetAttributes = {
					38A207C02310F9920098A25B = {
						CreatedOnToolsVersion = 11.0;
					};
					38AD46E3242C22640014BE6D = {
						CreatedOnToolsVersion = 11.4;
						TestTargetID = 38A207C02310F9920098A25B;
					};
				};
			};
			buildConfigurationList = 38A207BC2310F9920098A25B /* Build configuration list for PBXProject "Do It" */;
			compatibilityVersion = "Xcode 9.3";
			developmentRegion = en;
			hasScannedForEncodings = 0;
			knownRegions = (
				en,
				Base,
				pl,
				ar,
			);
			mainGroup = 38A207B82310F9920098A25B;
			productRefGroup = 38A207C22310F9920098A25B /* Products */;
			projectDirPath = "";
			projectRoot = "";
			targets = (
				38A207C02310F9920098A25B /* Do It */,
				38AD46E3242C22640014BE6D /* Do It Tests */,
			);
		};
/* End PBXProject section */

/* Begin PBXResourcesBuildPhase section */
		38A207BF2310F9920098A25B /* Resources */ = {
			isa = PBXResourcesBuildPhase;
			buildActionMask = 2147483647;
			files = (
				388057CB23EA73EA003C5456 /* list-icons.json in Resources */,
				38A207D12310F9930098A25B /* LaunchScreen.storyboard in Resources */,
				380897DB2336EDD000A3F052 /* Localizable.strings in Resources */,
				38A207CE2310F9930098A25B /* Preview Assets.xcassets in Resources */,
				ABF1678423E8A2AE000908C3 /* todo-items.json in Resources */,
				38A207CB2310F9930098A25B /* Assets.xcassets in Resources */,
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
		38AD46E2242C22640014BE6D /* Resources */ = {
			isa = PBXResourcesBuildPhase;
			buildActionMask = 2147483647;
			files = (
				38AD46EF242C27A00014BE6D /* list-icons.json in Resources */,
				38AD46EE242C279C0014BE6D /* todo-items.json in Resources */,
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
/* End PBXResourcesBuildPhase section */

/* Begin PBXSourcesBuildPhase section */
		38A207BD2310F9920098A25B /* Sources */ = {
			isa = PBXSourcesBuildPhase;
			buildActionMask = 2147483647;
			files = (
				ABF1679C23E8BBCE000908C3 /* TodoItem.swift in Sources */,
				38CF1BD4242FE3BA00A37C84 /* Environment.swift in Sources */,
				38A207C52310F9920098A25B /* AppDelegate.swift in Sources */,
				389C85022322071D00E1A8E7 /* TodoItemRow.swift in Sources */,
				38A411BC24295B9D0015F8C7 /* Either.swift in Sources */,
				388057D323EA9AE3003C5456 /* ViewModifiers.swift in Sources */,
				ABF1679723E8BAD4000908C3 /* TextView.swift in Sources */,
				3811A70E23F3C0610057179D /* ItemGroups.swift in Sources */,
				388057D123EA9814003C5456 /* ColorPicker.swift in Sources */,
				38FD95DD23F1115A00DE7EE5 /* BindingSubject.swift in Sources */,
				38AD46DF242B26DF0014BE6D /* DelayedInitializable.swift in Sources */,
				38D2CC49243578B900B9BFE4 /* KeyCommands.swift in Sources */,
				ABADA2DE23EB7A28005E1A73 /* Formatters.swift in Sources */,
				38A207C72310F9920098A25B /* SceneDelegate.swift in Sources */,
				ABF1679823E8BAD4000908C3 /* StatefulPreviewWrapper.swift in Sources */,
				AB829AC223F3126900E6A0DD /* HSBWheelHelpers.swift in Sources */,
				ABF1679423E8BAD4000908C3 /* UIBackgroundTaskScheduler.swift in Sources */,
				ABF1679B23E8BBC5000908C3 /* StaticData.swift in Sources */,
				386A3F8B2313639A003085B8 /* TodoList.swift in Sources */,
				ABC54E782326B4910082ED98 /* TodoItemDetail.swift in Sources */,
				ABF167A223E8C0F8000908C3 /* TodoItemEditor.swift in Sources */,
				ABF1678623E8A2B6000908C3 /* HighPriorityButtonStyle.swift in Sources */,
				389A77172432B8FB003A027C /* Notifications.swift in Sources */,
				ABF1679F23E8BD09000908C3 /* DataCenter.swift in Sources */,
				388057CF23EA7501003C5456 /* TodoListEditor.swift in Sources */,
				ABADA2D723EB3599005E1A73 /* Trigonometry.swift in Sources */,
				AB86A6F923ECB39C00D7956D /* IconChooser.swift in Sources */,
				387BBD92243FB3B8007143D2 /* ErrorPublisher.swift in Sources */,
				ABF1678823E8A561000908C3 /* Home.swift in Sources */,
				3811A71023F3C0E90057179D /* HomeHeader.swift in Sources */,
				ABF1679523E8BAD4000908C3 /* UITraitCollection+SwiftUI.swift in Sources */,
				388057D523EA9F08003C5456 /* ColorWheel.swift in Sources */,
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
		38AD46E0242C22640014BE6D /* Sources */ = {
			isa = PBXSourcesBuildPhase;
			buildActionMask = 2147483647;
			files = (
				38AD46E7242C22640014BE6D /* DataCenterTests.swift in Sources */,
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
/* End PBXSourcesBuildPhase section */

/* Begin PBXTargetDependency section */
		38AD46EA242C22640014BE6D /* PBXTargetDependency */ = {
			isa = PBXTargetDependency;
			target = 38A207C02310F9920098A25B /* Do It */;
			targetProxy = 38AD46E9242C22640014BE6D /* PBXContainerItemProxy */;
		};
/* End PBXTargetDependency section */

/* Begin PBXVariantGroup section */
		380897DD2336EDD000A3F052 /* Localizable.strings */ = {
			isa = PBXVariantGroup;
			children = (
				380897DC2336EDD000A3F052 /* en */,
				38FF6D1A234162AB005CCEC1 /* pl */,
				38FF6D1B234162B8005CCEC1 /* ar */,
			);
			name = Localizable.strings;
			sourceTree = "<group>";
		};
		38A207CF2310F9930098A25B /* LaunchScreen.storyboard */ = {
			isa = PBXVariantGroup;
			children = (
				38A207D02310F9930098A25B /* Base */,
			);
			name = LaunchScreen.storyboard;
			sourceTree = "<group>";
		};
/* End PBXVariantGroup section */

/* Begin XCBuildConfiguration section */
		38A207D32310F9930098A25B /* Debug */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ALWAYS_SEARCH_USER_PATHS = NO;
				CLANG_ANALYZER_LOCALIZABILITY_NONLOCALIZED = YES;
				CLANG_ANALYZER_NONNULL = YES;
				CLANG_ANALYZER_NUMBER_OBJECT_CONVERSION = YES_AGGRESSIVE;
				CLANG_CXX_LANGUAGE_STANDARD = "gnu++14";
				CLANG_CXX_LIBRARY = "libc++";
				CLANG_ENABLE_MODULES = YES;
				CLANG_ENABLE_OBJC_ARC = YES;
				CLANG_ENABLE_OBJC_WEAK = YES;
				CLANG_WARN_BLOCK_CAPTURE_AUTORELEASING = YES;
				CLANG_WARN_BOOL_CONVERSION = YES;
				CLANG_WARN_COMMA = YES;
				CLANG_WARN_CONSTANT_CONVERSION = YES;
				CLANG_WARN_DEPRECATED_OBJC_IMPLEMENTATIONS = YES;
				CLANG_WARN_DIRECT_OBJC_ISA_USAGE = YES_ERROR;
				CLANG_WARN_DOCUMENTATION_COMMENTS = YES;
				CLANG_WARN_EMPTY_BODY = YES;
				CLANG_WARN_ENUM_CONVERSION = YES;
				CLANG_WARN_INFINITE_RECURSION = YES;
				CLANG_WARN_INT_CONVERSION = YES;
				CLANG_WARN_NON_LITERAL_NULL_CONVERSION = YES;
				CLANG_WARN_OBJC_IMPLICIT_RETAIN_SELF = YES;
				CLANG_WARN_OBJC_LITERAL_CONVERSION = YES;
				CLANG_WARN_OBJC_ROOT_CLASS = YES_ERROR;
				CLANG_WARN_RANGE_LOOP_ANALYSIS = YES;
				CLANG_WARN_STRICT_PROTOTYPES = YES;
				CLANG_WARN_SUSPICIOUS_MOVE = YES;
				CLANG_WARN_UNGUARDED_AVAILABILITY = YES_AGGRESSIVE;
				CLANG_WARN_UNREACHABLE_CODE = YES;
				CLANG_WARN__DUPLICATE_METHOD_MATCH = YES;
				COPY_PHASE_STRIP = NO;
				DEBUG_INFORMATION_FORMAT = dwarf;
				ENABLE_STRICT_OBJC_MSGSEND = YES;
				ENABLE_TESTABILITY = YES;
				GCC_C_LANGUAGE_STANDARD = gnu11;
				GCC_DYNAMIC_NO_PIC = NO;
				GCC_NO_COMMON_BLOCKS = YES;
				GCC_OPTIMIZATION_LEVEL = 0;
				GCC_PREPROCESSOR_DEFINITIONS = (
					"DEBUG=1",
					"$(inherited)",
				);
				GCC_WARN_64_TO_32_BIT_CONVERSION = YES;
				GCC_WARN_ABOUT_RETURN_TYPE = YES_ERROR;
				GCC_WARN_UNDECLARED_SELECTOR = YES;
				GCC_WARN_UNINITIALIZED_AUTOS = YES_AGGRESSIVE;
				GCC_WARN_UNUSED_FUNCTION = YES;
				GCC_WARN_UNUSED_VARIABLE = YES;
				IPHONEOS_DEPLOYMENT_TARGET = 13.0;
				MTL_ENABLE_DEBUG_INFO = INCLUDE_SOURCE;
				MTL_FAST_MATH = YES;
				ONLY_ACTIVE_ARCH = YES;
				SDKROOT = iphoneos;
				SWIFT_ACTIVE_COMPILATION_CONDITIONS = DEBUG;
				SWIFT_OPTIMIZATION_LEVEL = "-Onone";
			};
			name = Debug;
		};
		38A207D42310F9930098A25B /* Release */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ALWAYS_SEARCH_USER_PATHS = NO;
				CLANG_ANALYZER_LOCALIZABILITY_NONLOCALIZED = YES;
				CLANG_ANALYZER_NONNULL = YES;
				CLANG_ANALYZER_NUMBER_OBJECT_CONVERSION = YES_AGGRESSIVE;
				CLANG_CXX_LANGUAGE_STANDARD = "gnu++14";
				CLANG_CXX_LIBRARY = "libc++";
				CLANG_ENABLE_MODULES = YES;
				CLANG_ENABLE_OBJC_ARC = YES;
				CLANG_ENABLE_OBJC_WEAK = YES;
				CLANG_WARN_BLOCK_CAPTURE_AUTORELEASING = YES;
				CLANG_WARN_BOOL_CONVERSION = YES;
				CLANG_WARN_COMMA = YES;
				CLANG_WARN_CONSTANT_CONVERSION = YES;
				CLANG_WARN_DEPRECATED_OBJC_IMPLEMENTATIONS = YES;
				CLANG_WARN_DIRECT_OBJC_ISA_USAGE = YES_ERROR;
				CLANG_WARN_DOCUMENTATION_COMMENTS = YES;
				CLANG_WARN_EMPTY_BODY = YES;
				CLANG_WARN_ENUM_CONVERSION = YES;
				CLANG_WARN_INFINITE_RECURSION = YES;
				CLANG_WARN_INT_CONVERSION = YES;
				CLANG_WARN_NON_LITERAL_NULL_CONVERSION = YES;
				CLANG_WARN_OBJC_IMPLICIT_RETAIN_SELF = YES;
				CLANG_WARN_OBJC_LITERAL_CONVERSION = YES;
				CLANG_WARN_OBJC_ROOT_CLASS = YES_ERROR;
				CLANG_WARN_RANGE_LOOP_ANALYSIS = YES;
				CLANG_WARN_STRICT_PROTOTYPES = YES;
				CLANG_WARN_SUSPICIOUS_MOVE = YES;
				CLANG_WARN_UNGUARDED_AVAILABILITY = YES_AGGRESSIVE;
				CLANG_WARN_UNREACHABLE_CODE = YES;
				CLANG_WARN__DUPLICATE_METHOD_MATCH = YES;
				COPY_PHASE_STRIP = NO;
				DEBUG_INFORMATION_FORMAT = "dwarf-with-dsym";
				ENABLE_NS_ASSERTIONS = NO;
				ENABLE_STRICT_OBJC_MSGSEND = YES;
				GCC_C_LANGUAGE_STANDARD = gnu11;
				GCC_NO_COMMON_BLOCKS = YES;
				GCC_WARN_64_TO_32_BIT_CONVERSION = YES;
				GCC_WARN_ABOUT_RETURN_TYPE = YES_ERROR;
				GCC_WARN_UNDECLARED_SELECTOR = YES;
				GCC_WARN_UNINITIALIZED_AUTOS = YES_AGGRESSIVE;
				GCC_WARN_UNUSED_FUNCTION = YES;
				GCC_WARN_UNUSED_VARIABLE = YES;
				IPHONEOS_DEPLOYMENT_TARGET = 13.0;
				MTL_ENABLE_DEBUG_INFO = NO;
				MTL_FAST_MATH = YES;
				SDKROOT = iphoneos;
				SWIFT_COMPILATION_MODE = wholemodule;
				SWIFT_OPTIMIZATION_LEVEL = "-O";
				VALIDATE_PRODUCT = YES;
			};
			name = Release;
		};
		38A207D62310F9930098A25B /* Debug */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ASSETCATALOG_COMPILER_APPICON_NAME = AppIcon;
				CODE_SIGN_STYLE = Automatic;
				DEVELOPMENT_ASSET_PATHS = "\"Do It/Preview Content\"";
				DEVELOPMENT_TEAM = JBMLHR3N88;
				ENABLE_PREVIEWS = YES;
				INFOPLIST_FILE = "Do It/Resources/Info.plist";
				IPHONEOS_DEPLOYMENT_TARGET = 13.4;
				LD_RUNPATH_SEARCH_PATHS = (
					"$(inherited)",
					"@executable_path/Frameworks",
				);
				PRODUCT_BUNDLE_IDENTIFIER = "com.pragprog.swiftui.Do-It";
				PRODUCT_NAME = "$(TARGET_NAME)";
				SWIFT_VERSION = 5.0;
				TARGETED_DEVICE_FAMILY = "1,2";
			};
			name = Debug;
		};
		38A207D72310F9930098A25B /* Release */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ASSETCATALOG_COMPILER_APPICON_NAME = AppIcon;
				CODE_SIGN_STYLE = Automatic;
				DEVELOPMENT_ASSET_PATHS = "\"Do It/Preview Content\"";
				DEVELOPMENT_TEAM = JBMLHR3N88;
				ENABLE_PREVIEWS = YES;
				INFOPLIST_FILE = "Do It/Resources/Info.plist";
				IPHONEOS_DEPLOYMENT_TARGET = 13.4;
				LD_RUNPATH_SEARCH_PATHS = (
					"$(inherited)",
					"@executable_path/Frameworks",
				);
				PRODUCT_BUNDLE_IDENTIFIER = "com.pragprog.swiftui.Do-It";
				PRODUCT_NAME = "$(TARGET_NAME)";
				SWIFT_VERSION = 5.0;
				TARGETED_DEVICE_FAMILY = "1,2";
			};
			name = Release;
		};
		38AD46EC242C22640014BE6D /* Debug */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				BUNDLE_LOADER = "$(TEST_HOST)";
				CODE_SIGN_STYLE = Automatic;
				DEVELOPMENT_TEAM = 6G567CKXTY;
				INFOPLIST_FILE = "Do It Tests/Info.plist";
				IPHONEOS_DEPLOYMENT_TARGET = 13.4;
				LD_RUNPATH_SEARCH_PATHS = (
					"$(inherited)",
					"@executable_path/Frameworks",
					"@loader_path/Frameworks",
				);
				PRODUCT_BUNDLE_IDENTIFIER = "me.alanquatermain.Do-It-Tests";
				PRODUCT_NAME = "$(TARGET_NAME)";
				SWIFT_VERSION = 5.0;
				TARGETED_DEVICE_FAMILY = "1,2";
				TEST_HOST = "$(BUILT_PRODUCTS_DIR)/Do It.app/Do It";
			};
			name = Debug;
		};
		38AD46ED242C22640014BE6D /* Release */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				BUNDLE_LOADER = "$(TEST_HOST)";
				CODE_SIGN_STYLE = Automatic;
				DEVELOPMENT_TEAM = 6G567CKXTY;
				INFOPLIST_FILE = "Do It Tests/Info.plist";
				IPHONEOS_DEPLOYMENT_TARGET = 13.4;
				LD_RUNPATH_SEARCH_PATHS = (
					"$(inherited)",
					"@executable_path/Frameworks",
					"@loader_path/Frameworks",
				);
				PRODUCT_BUNDLE_IDENTIFIER = "me.alanquatermain.Do-It-Tests";
				PRODUCT_NAME = "$(TARGET_NAME)";
				SWIFT_VERSION = 5.0;
				TARGETED_DEVICE_FAMILY = "1,2";
				TEST_HOST = "$(BUILT_PRODUCTS_DIR)/Do It.app/Do It";
			};
			name = Release;
		};
/* End XCBuildConfiguration section */

/* Begin XCConfigurationList section */
		38A207BC2310F9920098A25B /* Build configuration list for PBXProject "Do It" */ = {
			isa = XCConfigurationList;
			buildConfigurations = (
				38A207D32310F9930098A25B /* Debug */,
				38A207D42310F9930098A25B /* Release */,
			);
			defaultConfigurationIsVisible = 0;
			defaultConfigurationName = Release;
		};
		38A207D52310F9930098A25B /* Build configuration list for PBXNativeTarget "Do It" */ = {
			isa = XCConfigurationList;
			buildConfigurations = (
				38A207D62310F9930098A25B /* Debug */,
				38A207D72310F9930098A25B /* Release */,
			);
			defaultConfigurationIsVisible = 0;
			defaultConfigurationName = Release;
		};
		38AD46EB242C22640014BE6D /* Build configuration list for PBXNativeTarget "Do It Tests" */ = {
			isa = XCConfigurationList;
			buildConfigurations = (
				38AD46EC242C22640014BE6D /* Debug */,
				38AD46ED242C22640014BE6D /* Release */,
			);
			defaultConfigurationIsVisible = 0;
			defaultConfigurationName = Release;
		};
/* End XCConfigurationList section */
	};
	rootObject = 38A207B92310F9920098A25B /* Project object */;
}
